Skip to main content
GET
/
destinations
/
{id}
Get Destination Details
curl --request GET \
  --url https://api.loopreturns.com/api/v1/destinations/{id} \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://api.loopreturns.com/api/v1/destinations/{id}"

headers = {"X-Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};

fetch('https://api.loopreturns.com/api/v1/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "type": "warehouse",
  "name": "Example Destination",
  "enabled": true,
  "provider_location_id": 42424242,
  "address": {
    "name": "Main Warehouse",
    "company": "Universal Exports",
    "address1": "123 Main St",
    "address2": "Unit 456",
    "city": "Columbus",
    "state": "Ohio",
    "zip": "43210",
    "country": "United States",
    "country_code": "US"
  }
}
{
"error": {
"code": "INVALID_PARAMETER",
"message": "Invalid destination id. Expected an integer."
}
}
{
"errors": "Unauthorized."
}
{
"code": "NOT_FOUND",
"message": "The destination could not be found. Please verify that the provided id is correct."
}

Authorizations

X-Authorization
string
header
required

Path Parameters

id
integer
required

The destination's unique identifier.

Response

Success

A physical location such as a warehouse or donation center to which returns are shipped.

id
integer

The destination's unique identifier.

Example:

1

type
enum<string>

The type of location represented by the destination.

Available options:
warehouse,
donate
Example:

"warehouse"

name
string

The destination's name.

Example:

"Example Destination"

enabled
boolean

Whether the destination is enabled as a return destination.

Example:

true

provider_location_id
integer | null

The numeric location identifier from the commerce platform (for example Shopify) when a location is linked to this destination in Loop. null when no location is linked. The linked location's source field indicates which provider the ID belongs to.

Example:

42424242

address
object

The destination's address.